pskc_get_keypackage(3)

NAME
pskc_get_keypackage - API function

SYNOPSIS
#include <pskc.h>

pskc_key_t * pskc_get_keypackage(pskc_t * container, size_t i);

ARGUMENTS

pskc_t * container
    a pskc_t handle, from pskc_init().

size_t i
    number of keypackage to get.

DESCRIPTION
Get a PSKC keypackage pskc_key_t handle for the i'th key package in container. i is zero-based, i.e., 0 refer to the first key package, 1 refer to the second key package, and so on.

RETURNS
NULL if there is no i'th key package, or a valid pskc_key_t pointer.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.